import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { TrajtimiService } from './trajtimi.service';
import { CreateTrajtimiDto } from './dto/create-trajtimi.dto';
import { UpdateTrajtimiDto } from './dto/update-trajtimi.dto';

@Controller('trajtimi')
export class TrajtimiController {
  constructor(private readonly trajtimiService: TrajtimiService) {}

  @Post()
  create(@Body() createTrajtimiDto: CreateTrajtimiDto) {
    return this.trajtimiService.create(createTrajtimiDto);
  }

  @Get()
  findAll() {
    return this.trajtimiService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: string) {
    return this.trajtimiService.findOne(+id);
  }

  @Patch(':id')
  update(@Param('id') id: string, @Body() updateTrajtimiDto: UpdateTrajtimiDto) {
    return this.trajtimiService.update(+id, updateTrajtimiDto);
  }

  @Delete(':id')
  remove(@Param('id') id: string) {
    return this.trajtimiService.remove(+id);
  }
}
